package com.realnet.order_estimation.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.order_estimation.Entity.Product_selection;
import com.realnet.order_estimation.Services.Product_selectionService ;












import com.realnet.order_estimation.Entity.Product_selection;


@RequestMapping(value = "/Product_selection")
 @CrossOrigin("*") 
@RestController
public class Product_selectionController {
	@Autowired
	private Product_selectionService Service;

@Value("${projectPath}")
	private String projectPath;
 














	@PostMapping("/Product_selection")
		  public Product_selection Savedata(@RequestBody Product_selection data) {
		Product_selection save = Service.Savedata(data)	;













		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Product_selection/{id}")
	public  Product_selection update(@RequestBody Product_selection data,@PathVariable Integer id ) {
		Product_selection update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Product_selection/getall/page")
	public Page<Product_selection> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Product_selection> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Product_selection")
	public List<Product_selection> getdetails() {
		 List<Product_selection> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Product_selection")
	public List<Product_selection> getallwioutsec() {
		 List<Product_selection> get = Service.getdetails();		
		return get;
}
@GetMapping("/Product_selection/{id}")
	public  Product_selection  getdetailsbyId(@PathVariable Integer id ) {
		Product_selection  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Product_selection/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}















	@PostMapping("/Product_selection/Product_selection_insert")
	public Product_selection insertProduct_selection(@RequestBody Product_selection data) {
		Product_selection insertaction = Service.insertProduct_selection(data);
		return insertaction;
	}

}